org.apache.datasketches.frequencies

## Enum ErrorType

- java.lang.Object
- - java.lang.Enum<ErrorType>
  - - org.apache.datasketches.frequencies.ErrorType

All Implemented Interfaces:
  Serializable, Comparable<ErrorType>

    public enum ErrorType
    extends Enum<ErrorType>

Specifies one of two types of error regions of the statistical classification Confusion Matrix that can be excluded from a returned sample of Frequent Items.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NO_FALSE_NEGATIVES` No Type II error samples will be excluded from the sample set, which means all Truly Positive samples will be included in the sample set.
`NO_FALSE_POSITIVES` No Type I error samples will be included in the sample set, which means all Truly Negative samples will be excluded from the sample set.

### Method Summary

All Methods Static Methods Concrete Methods
`static ErrorType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_FALSE_POSITIVES

    public static final ErrorType NO_FALSE_POSITIVES

No Type I error samples will be included in the sample set, which means all Truly Negative samples will be excluded from the sample set. However, there may be Type II error samples (False Negatives) that should have been included that were not. This is a subset of the NO_FALSE_NEGATIVES ErrorType.

#### NO_FALSE_NEGATIVES

    public static final ErrorType NO_FALSE_NEGATIVES

No Type II error samples will be excluded from the sample set, which means all Truly Positive samples will be included in the sample set. However, there may be Type I error samples (False Positives) that were included that should not have been.

### Method Detail

#### values

    public static ErrorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ErrorType c : ErrorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ErrorType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null